Subject: Re: Segmentation faults with g++ 4.0
From: Danny Smith <[email-masked]>
To: Cygwin <[email-masked]>
Cc: [email-masked]
Date: Mon, 13 Dec 2004 12:57:36 +1300

James W. McKelvey wrote:

> I installed CYGWIN_NT-5.1 a few days ago and then built g++ from the
latest
> CVS. Simple programs like the one below will compile and link, but
then get
> segmentation faults in pthread_specific on execution:
>
> #include <locale>
> #include <iostream>
>
> static const std::locale l;
> //static std::ostream&     o = std::cerr;
>
> int main(const int,
>          const char * const * const)
> {
>     return 0;
> }
>
> Is this a known bug? The c++ that comes with Cygwin is way too old to
compile
> my code; I need at least 3.4.
>

GCC-4.0.0 (C++) is very broken on cygwin.
Have a look at test results, here:

http://gcc.gnu.org/ml/gcc-testresults/2004-12/msg00544.html

There is a problem with pthreads and the recently added weak-linkage
support for windows targets.

But I'm glad to see someone is keen enough to test the bleeding edge.
Care to submit a bug report?

http://gcc.gnu.org/bugzilla

Danny

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/